Package uk.ac.starlink.registry

# Class RegClientTest

java.lang.Object
uk.ac.starlink.registry.RegClientTest

public class RegClientTest extends Object
Example standalone utility which uses the registry client code. The main method allows you to make a registry query and prints a basic summary of the results. Run it with the "-help" flag for usage information.

Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RegClientTest()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,URL>`
`getKnownRegMap()`
Returns a map containing nickname->service endpoint pairs for some popular registries, for convenience.
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegClientTest

public RegClientTest()

## Method Details

### main

public static void main(String[] args) throws IOException, URISyntaxException
Main method. The "-help" flag will print usage information.

Throws:
  `IOException`
  `URISyntaxException`

### getKnownRegMap

public static Map<String,URL> getKnownRegMap()
Returns a map containing nickname->service endpoint pairs for some popular registries, for convenience.

Returns:
  map of nicknames to registry service endpoints